<div class="row">
    <div class="col-sm-12">

        <div class="ibox-form-container card">


                <div class="ibox-title " >
                    <div class="ibox-title-child" style="display: inline-block">{{"BREADCRUMBS.ACTIVITY_MANAGEMENT.ACTIVITY_CONSULTATION"|translate}}</div>
                    <button mat-mini-fab [matMenuTriggerFor]="menu" class="menu-add" aria-label="Example icon-button with a menu" >
                        <mat-icon class="menu-add-icon"><i class="ri-play-list-add-fill"></i></mat-icon>
                      </button>
                      <mat-menu #menu="matMenu">
                        <button mat-menu-item (click)="openDialog('EVENT')">
                          <mat-icon>event</mat-icon>
                          <span>Evénement</span>
                        </button>
                        <button mat-menu-item (click)="openDialog('TASK')">
                          <mat-icon>check_box</mat-icon>
                          <span>Tache</span>
                        </button>
                        <button mat-menu-item (click)="openDialog('TICKET')">
                          <mat-icon>offline_bolt</mat-icon>
                          <span>Incident</span>
                        </button>
                        <button mat-menu-item (click)="openDialog('OPPORTUNITY')">
                          <mat-icon>attach_money</mat-icon>
                          <span>Opprtunité</span>
                        </button>
                      </mat-menu>
                  </div>

                <div>
                    <app-activity-filter (submited)="globalFilter = $event"></app-activity-filter>
                </div>
                <div class="row mt-0">
                    <div class="col-12">
                        <div class="">
                            <div class=" pt-0 pb-2 px-0">
                                <ul class="nav nav-tabs mb-0 .nav-justified-custom" id="myTab-1" role="tablist">
                                    <li class="nav-item">
                                        <a class="nav-link active" id="event-tab" data-toggle="tab" href="#event" role="tab" aria-controls="event" aria-selected="false">{{'ACTIVITY_CONSULTATION.EVENT_LIST'|translate}} <span class="badge">{{eventListComponent?.eventList?.length}}</span></a>
                                    </li>
                                    <li class="nav-item">
                                        <a class="nav-link" id="task-tab" data-toggle="tab" href="#task" role="tab" aria-controls="task" aria-selected="true">{{'ACTIVITY_CONSULTATION.TASK_LIST'|translate}} <span  class="badge">{{taskListComponent?.taskList?.length}}</span></a>
                                    </li>
                                    <li class="nav-item">
                                        <a class="nav-link" id="incident-tab" data-toggle="tab" href="#incident" role="tab" aria-controls="incident" aria-selected="false">{{'ACTIVITY_CONSULTATION.INCIDENT_LIST'|translate}} <span class="badge">{{incidentListComponent?.incidentList?.length}}</span></a>
                                    </li>
                                    <li class="nav-item">
                                        <a class="nav-link" id="opportunite-tab" data-toggle="tab" href="#opportunite" role="tab" aria-controls="opportunite" aria-selected="false">{{'ACTIVITY_CONSULTATION.OPPORTUNITE_LIST'|translate}} <span class="badge">{{opportuniteListComponent?.opportuniteList?.length}}</span></a>
                                    </li>
                                </ul>
                                <div class="tab-content">
                                    <div class="tab-pane fade show active" id="event" role="tabpanel" aria-labelledby="event-tab">
                                        <div>
                                            <app-event-filter (submited)="eventFilter = $event"></app-event-filter>
                                        </div>
                                        <div class="mt-0">
                                            <app-event-list [filter]="eventFilter" [globalFilter]="globalFilter"></app-event-list>
                                        </div>
                                    </div>
                                    <div class="tab-pane fade" id="task" role="tabpanel" aria-labelledby="task-tab">
                                        <div>
                                           <app-task-filter (submited)="taskFilter = $event"></app-task-filter>
                                        </div>
                                        <div class="mt-0">
                                            <app-task-list [filter]="taskFilter" [globalFilter]="globalFilter"></app-task-list>
                                        </div>
                                    </div>
                                    <div class="tab-pane fade" id="incident" role="tabpanel" aria-labelledby="incident-tab">
                                        <div>
                                            <app-incident-filter (submited)="incidentFilter = $event"></app-incident-filter>
                                        </div>
                                        <div class="mt-0">
                                            <app-incident-list [filter]="incidentFilter" [globalFilter]="globalFilter"></app-incident-list>
                                        </div>
                                    </div>
                                    <div class="tab-pane fade" id="opportunite" role="tabpanel" aria-labelledby="opportunite-tab">
                                        <div>
                                            <app-opportunite-filter (submited)="opportuniteFilter=$event"></app-opportunite-filter>
                                        </div>
                                        <div class="mt-0">
                                            <app-opportunite-list [filter]="opportuniteFilter" [globalFilter]="globalFilter"></app-opportunite-list>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

        </div>
    </div>
</div>
